Subject: bug#32342: [PATCH] Allow to override time_stamp with SOURCE_DATE_EPOCH

From: Jim Meyering <[email-masked]>
Date: Thu, 2 Aug 2018 18:12:02 +0200

On Thu, Aug 2, 2018 at 6:01 PM, Paul Eggert <[email-masked]> wrote:
> On 08/02/2018 02:03 AM, Bernhard M. Wiedemann wrote:
>>
>> +        if ((source_date_epoch = getenv("SOURCE_DATE_EPOCH")) == NULL ||
>> (stamp = strtol(source_date_epoch, NULL, 10))
>
>
> That won't work after 2038 on x32. Also, I'm leery of having environment
> variables affect standard utilities' behavior, though perhaps we could
> shoehorn this in.

I had the same initial negative reaction to adding support for an
envvar, but given the minor effect and worthy goal, I think the
balance has tipped in favor of allowing this one.